Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1976457 - F35FailsToInstall: scummvm
Summary: F35FailsToInstall: scummvm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scummvm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-06-26 09:09 UTC by Miro Hrončok
Modified: 2021-07-04 21:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-04 21:28:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-06-26 09:09:13 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (scummvm) Fails To Install in Fedora 35:

can't install scummvm:
  - nothing provides libfluidsynth.so.2()(64bit) needed by scummvm-2.2.0-3.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-07-03 09:55:55 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Miro Hrončok 2021-07-03 10:03:54 UTC
A rebuild for libfluidsynth.so.3 is required. I'll check if the package builds.

Comment 3 Miro Hrončok 2021-07-03 10:11:09 UTC
Nope, it does not:

g++ -MMD -MF "audio/softsynth/.deps/fluidsynth.d" -MQ "audio/softsynth/fluidsynth.o" -MP -Wall -O2  -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -W -Wno-unused-parameter -Wno-empty-body -fno-operator-names -std=c++11 -g -fvar-tracking-assignments -pedantic -Wno-long-long  -O2 -Wuninitialized -fPIC  -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/libxml2 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gio-unix-2.0 -I/usr/include/cloudproviders -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/at-spi-2.0 -pthread  -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread  -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder -Wpointer-arith -Wcast-qual -Wshadow -Wnon-virtual-dtor -Wwrite-strings -fno-exceptions -fcheck-new -DHAVE_CONFIG_H -DRELEASE_BUILD -DSDL_BACKEND -DPOSIX -DHAS_POSIX_SPAWN -DDATA_PATH=\"/usr/share/scummvm\" -DPLUGIN_DIRECTORY=\"/usr/lib64/scummvm\" -DENABLE_SCUMM=DYNAMIC_PLUGIN -DENABLE_SCUMM_7_8 -DENABLE_HE -DENABLE_ACCESS=DYNAMIC_PLUGIN -DENABLE_ADL=DYNAMIC_PLUGIN -DENABLE_AGI=DYNAMIC_PLUGIN -DENABLE_AGOS=DYNAMIC_PLUGIN -DENABLE_AGOS2 -DENABLE_AVALANCHE=DYNAMIC_PLUGIN -DENABLE_BBVS=DYNAMIC_PLUGIN -DENABLE_BLADERUNNER=DYNAMIC_PLUGIN -DENABLE_CGE=DYNAMIC_PLUGIN -DENABLE_CGE2=DYNAMIC_PLUGIN -DENABLE_CHEWY=DYNAMIC_PLUGIN -DENABLE_CINE=DYNAMIC_PLUGIN -DENABLE_COMPOSER=DYNAMIC_PLUGIN -DENABLE_CRUISE=DYNAMIC_PLUGIN -DENABLE_CRYO=DYNAMIC_PLUGIN -DENABLE_CRYOMNI3D=DYNAMIC_PLUGIN -DENABLE_VERSAILLES -DENABLE_DIRECTOR=DYNAMIC_PLUGIN -DENABLE_DM=DYNAMIC_PLUGIN -DENABLE_DRACI=DYNAMIC_PLUGIN -DENABLE_DRAGONS=DYNAMIC_PLUGIN -DENABLE_DRASCULA=DYNAMIC_PLUGIN -DENABLE_DREAMWEB=DYNAMIC_PLUGIN -DENABLE_FULLPIPE=DYNAMIC_PLUGIN -DENABLE_GLK=DYNAMIC_PLUGIN -DENABLE_GNAP=DYNAMIC_PLUGIN -DENABLE_GOB=DYNAMIC_PLUGIN -DENABLE_GRIFFON=DYNAMIC_PLUGIN -DENABLE_GROOVIE=DYNAMIC_PLUGIN -DENABLE_GROOVIE2 -DENABLE_HDB=DYNAMIC_PLUGIN -DENABLE_HOPKINS=DYNAMIC_PLUGIN -DENABLE_HUGO=DYNAMIC_PLUGIN -DENABLE_ILLUSIONS=DYNAMIC_PLUGIN -DENABLE_KINGDOM=DYNAMIC_PLUGIN -DENABLE_KYRA=DYNAMIC_PLUGIN -DENABLE_LOL -DENABLE_EOB -DENABLE_LAB=DYNAMIC_PLUGIN -DENABLE_LASTEXPRESS=DYNAMIC_PLUGIN -DENABLE_LILLIPUT=DYNAMIC_PLUGIN -DENABLE_LURE=DYNAMIC_PLUGIN -DENABLE_MACVENTURE=DYNAMIC_PLUGIN -DENABLE_MADE=DYNAMIC_PLUGIN -DENABLE_MADS=DYNAMIC_PLUGIN -DENABLE_MOHAWK=DYNAMIC_PLUGIN -DENABLE_CSTIME -DENABLE_MYST -DENABLE_MYSTME -DENABLE_RIVEN -DENABLE_MORTEVIELLE=DYNAMIC_PLUGIN -DENABLE_MUTATIONOFJB=DYNAMIC_PLUGIN -DENABLE_NEVERHOOD=DYNAMIC_PLUGIN -DENABLE_PARALLACTION=DYNAMIC_PLUGIN -DENABLE_PEGASUS=DYNAMIC_PLUGIN -DENABLE_PETKA=DYNAMIC_PLUGIN -DENABLE_PINK=DYNAMIC_PLUGIN -DENABLE_PLUMBERS=DYNAMIC_PLUGIN -DENABLE_PRINCE=DYNAMIC_PLUGIN -DENABLE_QUEEN=DYNAMIC_PLUGIN -DENABLE_SAGA=DYNAMIC_PLUGIN -DENABLE_IHNM -DENABLE_SAGA2 -DENABLE_SCI=DYNAMIC_PLUGIN -DENABLE_SCI32 -DENABLE_SHERLOCK=DYNAMIC_PLUGIN -DENABLE_SKY=DYNAMIC_PLUGIN -DENABLE_SLUDGE=DYNAMIC_PLUGIN -DENABLE_STARTREK=DYNAMIC_PLUGIN -DENABLE_SUPERNOVA=DYNAMIC_PLUGIN -DENABLE_SWORD1=DYNAMIC_PLUGIN -DENABLE_SWORD2=DYNAMIC_PLUGIN -DENABLE_SWORD25=DYNAMIC_PLUGIN -DENABLE_TEENAGENT=DYNAMIC_PLUGIN -DENABLE_TESTBED=DYNAMIC_PLUGIN -DENABLE_TINSEL=DYNAMIC_PLUGIN -DENABLE_TITANIC=DYNAMIC_PLUGIN -DENABLE_TOLTECS=DYNAMIC_PLUGIN -DENABLE_TONY=DYNAMIC_PLUGIN -DENABLE_TOON=DYNAMIC_PLUGIN -DENABLE_TOUCHE=DYNAMIC_PLUGIN -DENABLE_TSAGE=DYNAMIC_PLUGIN -DENABLE_TUCKER=DYNAMIC_PLUGIN -DENABLE_ULTIMA=DYNAMIC_PLUGIN -DENABLE_VOYEUR=DYNAMIC_PLUGIN -DENABLE_WAGE=DYNAMIC_PLUGIN -DENABLE_WINTERMUTE=DYNAMIC_PLUGIN -DENABLE_FOXTAIL -DENABLE_HEROCRAFT -DENABLE_XEEN=DYNAMIC_PLUGIN -DENABLE_ZVISION=DYNAMIC_PLUGIN -I. -I. -I./engines -I/usr/include/SDL2 -D_REENTRANT       -I/usr/include/libpng16         -I/usr/include/fribidi  -c audio/softsynth/fluidsynth.cpp -o audio/softsynth/fluidsynth.o
audio/softsynth/fluidsynth.cpp: In member function 'virtual int MidiDriver_FluidSynth::open()':
audio/softsynth/fluidsynth.cpp:198:42: warning: 'void fluid_synth_set_chorus_on(fluid_synth_t*, int)' is deprecated [-Wdeprecated-declarations]
  198 |                 fluid_synth_set_chorus_on(_synth, 1);
      |                 ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~
In file included from /usr/include/fluidsynth.h:100,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/synth.h:208:38: note: declared here
  208 | FLUID_DEPRECATED FLUIDSYNTH_API void fluid_synth_set_chorus_on(fluid_synth_t *synth, int on);
      |                                      ^~~~~~~~~~~~~~~~~~~~~~~~~
audio/softsynth/fluidsynth.cpp:213:39: warning: 'int fluid_synth_set_chorus(fluid_synth_t*, int, double, double, double, int)' is deprecated [-Wdeprecated-declarations]
  213 |                 fluid_synth_set_chorus(_synth, chorusNr, chorusLevel, chorusSpeed, chorusDepthMs, chorusType);
      |                 ~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/fluidsynth.h:100,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/synth.h:211:37: note: declared here
  211 | FLUID_DEPRECATED FLUIDSYNTH_API int fluid_synth_set_chorus(fluid_synth_t *synth, int nr, double level,
      |                                     ^~~~~~~~~~~~~~~~~~~~~~
audio/softsynth/fluidsynth.cpp:215:42: warning: 'void fluid_synth_set_chorus_on(fluid_synth_t*, int)' is deprecated [-Wdeprecated-declarations]
  215 |                 fluid_synth_set_chorus_on(_synth, 0);
      |                 ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~
In file included from /usr/include/fluidsynth.h:100,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/synth.h:208:38: note: declared here
  208 | FLUID_DEPRECATED FLUIDSYNTH_API void fluid_synth_set_chorus_on(fluid_synth_t *synth, int on);
      |                                      ^~~~~~~~~~~~~~~~~~~~~~~~~
audio/softsynth/fluidsynth.cpp:219:42: warning: 'void fluid_synth_set_reverb_on(fluid_synth_t*, int)' is deprecated [-Wdeprecated-declarations]
  219 |                 fluid_synth_set_reverb_on(_synth, 1);
      |                 ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~
In file included from /usr/include/fluidsynth.h:100,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/synth.h:162:38: note: declared here
  162 | FLUID_DEPRECATED FLUIDSYNTH_API void fluid_synth_set_reverb_on(fluid_synth_t *synth, int on);
      |                                      ^~~~~~~~~~~~~~~~~~~~~~~~~
audio/softsynth/fluidsynth.cpp:226:39: warning: 'int fluid_synth_set_reverb(fluid_synth_t*, double, double, double, double)' is deprecated [-Wdeprecated-declarations]
  226 |                 fluid_synth_set_reverb(_synth, reverbRoomSize, reverbDamping, reverbWidth, reverbLevel);
      |                 ~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/fluidsynth.h:100,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/synth.h:165:37: note: declared here
  165 | FLUID_DEPRECATED FLUIDSYNTH_API int fluid_synth_set_reverb(fluid_synth_t *synth, double roomsize,
      |                                     ^~~~~~~~~~~~~~~~~~~~~~
audio/softsynth/fluidsynth.cpp:228:42: warning: 'void fluid_synth_set_reverb_on(fluid_synth_t*, int)' is deprecated [-Wdeprecated-declarations]
  228 |                 fluid_synth_set_reverb_on(_synth, 0);
      |                 ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~
In file included from /usr/include/fluidsynth.h:100,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/synth.h:162:38: note: declared here
  162 | FLUID_DEPRECATED FLUIDSYNTH_API void fluid_synth_set_reverb_on(fluid_synth_t *synth, int on);
      |                                      ^~~~~~~~~~~~~~~~~~~~~~~~~
audio/softsynth/fluidsynth.cpp:254:74: error: invalid conversion from 'int (*)(void*, int, void*)' to 'fluid_sfloader_callback_read_t' {aka 'int (*)(void*, long long int, void*)'} [-fpermissive]
  254 |                                                                          SoundFontMemLoader_read,
      |                                                                          ^~~~~~~~~~~~~~~~~~~~~~~
      |                                                                          |
      |                                                                          int (*)(void*, int, void*)
In file included from /usr/include/fluidsynth.h:102,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/sfont.h:174:40: note:   initializing argument 3 of 'int fluid_sfloader_set_callbacks(fluid_sfloader_t*, fluid_sfloader_callback_open_t, fluid_sfloader_callback_read_t, fluid_sfloader_callback_seek_t, fluid_sfloader_callback_tell_t, fluid_sfloader_callback_close_t)'
  174 |         fluid_sfloader_callback_read_t read,
      |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~
audio/softsynth/fluidsynth.cpp:255:74: error: invalid conversion from 'int (*)(void*, long int, int)' to 'fluid_sfloader_callback_seek_t' {aka 'int (*)(void*, long long int, int)'} [-fpermissive]
  255 |                                                                          SoundFontMemLoader_seek,
      |                                                                          ^~~~~~~~~~~~~~~~~~~~~~~
      |                                                                          |
      |                                                                          int (*)(void*, long int, int)
In file included from /usr/include/fluidsynth.h:102,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/sfont.h:175:40: note:   initializing argument 4 of 'int fluid_sfloader_set_callbacks(fluid_sfloader_t*, fluid_sfloader_callback_open_t, fluid_sfloader_callback_read_t, fluid_sfloader_callback_seek_t, fluid_sfloader_callback_tell_t, fluid_sfloader_callback_close_t)'
  175 |         fluid_sfloader_callback_seek_t seek,
      |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~
audio/softsynth/fluidsynth.cpp:256:74: error: invalid conversion from 'long int (*)(void*)' to 'fluid_sfloader_callback_tell_t' {aka 'long long int (*)(void*)'} [-fpermissive]
  256 |                                                                          SoundFontMemLoader_tell,
      |                                                                          ^~~~~~~~~~~~~~~~~~~~~~~
      |                                                                          |
      |                                                                          long int (*)(void*)
In file included from /usr/include/fluidsynth.h:102,
                 from audio/softsynth/fluidsynth.cpp:32:
/usr/include/fluidsynth/sfont.h:176:40: note:   initializing argument 5 of 'int fluid_sfloader_set_callbacks(fluid_sfloader_t*, fluid_sfloader_callback_open_t, fluid_sfloader_callback_read_t, fluid_sfloader_callback_seek_t, fluid_sfloader_callback_tell_t, fluid_sfloader_callback_close_t)'
  176 |         fluid_sfloader_callback_tell_t tell,
      |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~
make: *** [Makefile.common:122: audio/softsynth/fluidsynth.o] Error 1

Comment 4 Christian Krause 2021-07-04 16:20:16 UTC
I'm working on updating scummvm. Unfortunately, there are 2 compile issues:
- doesn't build on non-x86 architectures in current rawhide
- scummvm 2.2.0 does not support the new fluidsynth

For the first issue I'm discussing a bugfix with scummvm upstream and for the 2nd issue I backported the necessary commits from scummvm's master branch.

Comment 5 Christian Krause 2021-07-04 21:28:48 UTC
Fixed in rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=1777893


Note You need to log in before you can comment on or make changes to this bug.